package com.ruoyi.Installationcost.service;

import java.util.ArrayList;
import java.util.List;
import com.ruoyi.Installationcost.domain.MesInfoInstallationcost;

/**
 * InstallationcostService接口
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
public interface IMesInfoInstallationcostService 
{
    /**
     * 查询Installationcost
     * 
     * @param id Installationcost主键
     * @return Installationcost
     */
    public MesInfoInstallationcost selectMesInfoInstallationcostById(Long id);

    /**
     * 查询Installationcost列表
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return Installationcost集合
     */
    public List<MesInfoInstallationcost> selectMesInfoInstallationcostList(MesInfoInstallationcost mesInfoInstallationcost);

    /**
     * 新增Installationcost
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return 结果
     */
    public int insertMesInfoInstallationcost(MesInfoInstallationcost mesInfoInstallationcost);

    /**
     * 修改Installationcost
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return 结果
     */
    public int updateMesInfoInstallationcost(MesInfoInstallationcost mesInfoInstallationcost);

    /**
     * 批量删除Installationcost
     * 
     * @param ids 需要删除的Installationcost主键集合
     * @return 结果
     */
    public int deleteMesInfoInstallationcostByIds(Long[] ids);

    /**
     * 删除Installationcost信息
     * 
     * @param id Installationcost主键
     * @return 结果
     */
    public int deleteMesInfoInstallationcostById(Long id);

    /**
     * 批量插入或更新装机成本
     *
     * @param costs 装机成本对象
     * @return 结果
     */
    int insertOrUpdateBatchMesInfoInstallationcost(ArrayList<MesInfoInstallationcost> costs);
}
