package com.ruoyi.Installationcost.service.impl;

import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.Installationcost.mapper.MesInfoInstallationcostMapper;
import com.ruoyi.Installationcost.domain.MesInfoInstallationcost;
import com.ruoyi.Installationcost.service.IMesInfoInstallationcostService;

/**
 * InstallationcostService业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
@Service
public class MesInfoInstallationcostServiceImpl implements IMesInfoInstallationcostService 
{
    @Autowired
    private MesInfoInstallationcostMapper mesInfoInstallationcostMapper;

    /**
     * 查询Installationcost
     * 
     * @param id Installationcost主键
     * @return Installationcost
     */
    @Override
    public MesInfoInstallationcost selectMesInfoInstallationcostById(Long id)
    {
        return mesInfoInstallationcostMapper.selectMesInfoInstallationcostById(id);
    }

    /**
     * 查询Installationcost列表
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return Installationcost
     */
    @Override
    public List<MesInfoInstallationcost> selectMesInfoInstallationcostList(MesInfoInstallationcost mesInfoInstallationcost)
    {
        return mesInfoInstallationcostMapper.selectMesInfoInstallationcostList(mesInfoInstallationcost);
    }

    /**
     * 新增Installationcost
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return 结果
     */
    @Override
    public int insertMesInfoInstallationcost(MesInfoInstallationcost mesInfoInstallationcost)
    {
        return mesInfoInstallationcostMapper.insertMesInfoInstallationcost(mesInfoInstallationcost);
    }

    /**
     * 修改Installationcost
     * 
     * @param mesInfoInstallationcost Installationcost
     * @return 结果
     */
    @Override
    public int updateMesInfoInstallationcost(MesInfoInstallationcost mesInfoInstallationcost)
    {
        return mesInfoInstallationcostMapper.updateMesInfoInstallationcost(mesInfoInstallationcost);
    }

    /**
     * 批量删除Installationcost
     * 
     * @param ids 需要删除的Installationcost主键
     * @return 结果
     */
    @Override
    public int deleteMesInfoInstallationcostByIds(Long[] ids)
    {
        return mesInfoInstallationcostMapper.deleteMesInfoInstallationcostByIds(ids);
    }

    /**
     * 删除Installationcost信息
     * 
     * @param id Installationcost主键
     * @return 结果
     */
    @Override
    public int deleteMesInfoInstallationcostById(Long id)
    {
        return mesInfoInstallationcostMapper.deleteMesInfoInstallationcostById(id);
    }

    /**
     * 批量插入或更新装机成本
     *
     * @param costs 装机成本对象
     * @return 结果
     */
    @Override
    public int insertOrUpdateBatchMesInfoInstallationcost(ArrayList<MesInfoInstallationcost> costs) {

        return mesInfoInstallationcostMapper.insertOrUpdateBatchMesInfoInstallationcost(costs);
    }
}